Subject: RE: [rohc] Context(Tsc)

From: "Ghyslain Pelletier \(LU/EAB\)" <[email-masked]>
Date: Fri, 26 May 2006 14:47:58 +0200

Hi Endre,
 
> it is completely meaningless to suggest, that Tsc is one of the
> values that should be kept in the context

This is for consistency with 3095. 3095 is a specification
that describes a protocol with respect to interoperability,
not how to implement the protocol, although sometimes it
unfortunately clearly leads implementers. Context(Tsc) is
only used to convey the meaning "unless the Tsc flag in EXT_3
says otherwise, the TS bits in the extension are always
scaled TS bits".

Note also that sections 6.5.1 and 6.5.2 in 3095 are informative:
"It is not intended to constrain the implementations."
However, you may want to reconsider your statement after
reading "5.7.5.2.  Flags/Fields in context":

 Flag/Field      Initial value   Comment
 ---------------------------------------------------------------------
 Tsc               1           Tsc is always 1 in context;
                                 can be 0 only when an Extension 3
                                 is present. See the discussion of the
                                 TS field in the beginning of section
                                 5.7.

   ;-)

/Ghyslain

> Hi ROHCers,
> 
> A minor suggestion:
> Section 4.7 in the "Corrections and Clarifications to RFC 3095"
> (draft-ietf-rohc-rtp-impl-guide-19.txt) document mentions that:
> "Context(Tsc) is always 1.  If scaling is not desired, the compressor
> will establish TS_STRIDE = 1."
> 
> Beside that Tsc is not listed in section 6.5.1 and 6.5.2 of RFC 3095;
> it is completely meaningless to suggest, that Tsc is one of the
> values that should be kept in the context, since its value is always
> constant, never updated. Tsc has effect only on the current packet,
> never on packets after that. I think it would be better to remove
> the first sentence "Context(Tsc) is always 1." 
> 
> Regards,
> Endre

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc